| 承载协议 | HTTP DELETE |
|---|---|
| 接口方向 | 开发者服务器->华为云空间服务器 |
| 接口URL | https://driveapis.cloud.huawei.com.cn/drive/v1/files/{fileId}/historyVersions/{historyVersionId} |
| 数据格式 | 请求消息:Content-Type: application/json 响应消息:Content-Type: application/json |
| 参数 | 是否必选 | 参数类型 | 描述 |
|---|---|---|---|
| Authorization | 是 | string | 用户鉴权信息 AccessToken(即AT) |
| x-hw-trace-id | 否 | string | 业务跟踪id。 |
| x-hw-app-id | 否 | string | 应用的appid。 |
| version | 否 | string | SDK版本。 |
| x-hw-terminal | 否 | string | 终端型号。 |
| x-hw-os | 否 | string | 终端操作系统类型。 |
| unionID | 否 | string | 用户的unionID。 |
| User-Agent | 否 | string | 应用版本号/appid。 |
| x-hw-deviceUUID | 否 | string | 设备UUID。 |
| x-hw-deviceUDID | 否 | string | 设备UDID。 |
| x-hw-appPackageName | 否 | string | 应用包名。 |
| x-hw-network | 否 | string | 网络类型,[WiFi, 2G, 3G, 4G, 5G, wire]。 |
Request Body
无
DELETE https://driveapis.cloud.huawei.com.cn/drive/v1/files/BgZ_uIemYqVW0WYk0eNtKVYLMryFlmKjV/historyVersions/362297555238797056.362297555238797057?fields=* HTTP/1.1 Accept: application/json Authorization: Bearer CgB6e3x9Bjh6m9tm8OB0GXjeMWk0m4pVnLmwteDNWXOKPhh0/tjwtIy6Q+OscvD7zhdrElYD0Rak6xA7dI4BM3GSQTuUgFK6ZwFk7K/fjJS5vB7JFmV3 Cache-Control: no-cache
错误码后4位为业务错误码,用于区分错误场景,其他业务错误码见状态码章节。
| 状态码 | 错误码 | 响应代码 | 描述 |
|---|---|---|---|
| 204 | NA | 成功。 | |
| 400 | 21004002 | PARAM_INVALID | 输入参数错误,请检查参数列表。 |
| 403 | 21074033 | AGREEMENT_NOT_SIGNED | 用户还未签署华为云空间用户协议,请签署协议后再进行重试。 |
| 403 | 21084031 | DATA_MIGRATING | 正处于安全策略更新, 请等待安全策略更新完成。 |
| 403 | 21084038 | OUTER_SERVICE_ERROR | 外部服务错误。 |
| 403 | 21094038 | OUTER_SERVICE_ERROR | 外部服务错误。 |
| 500 | 21085002 | OUTER_SERVICE_UNAVAILABLE | 外部服务不可用。 |
public static void main(String[] args) throws IOException {
// 设置请求地址,文件ID,历史版本ID和用户认证令牌
String url = "https://driveapis.cloud.huawei.com.cn/drive/v1/files";
String fileId = "AAAKRiCEAIYCkUs1zhVB9ewNSzPOGACAA"; // Your own fileId
String historyVersionId = "367254548466646784.367254548466646785"; // You can get it from HistoryVersionsList interface
String access_token = "CF3mUGa6TSGM6Ww/9ZwVJ6F2FveRf9CgS38Qm4HAA/cRD8dcD301bo0Bv+FH3Fq/h2X3G8no4w+Qs5BciDzU3ZWyVPKh8eFIJa7a7RyBtjCZhX1WB4vLPw==";
// 删除文件历史版本信息
Boolean isDelete = false;
isDelete = historyVersionsDelete(url, access_token, fileId, historyVersionId);
System.out.println(isDelete);
}
private static Boolean historyVersionsDelete(String url, String access_token, String fileId, String historyVersionId) throws IOException {
StringBuilder stringBuilder = new StringBuilder("");
stringBuilder.append("/").append(fileId).append("/").append("historyVersions").append("/").append(historyVersionId);
HttpDelete httpDelete = new HttpDelete(url + stringBuilder);
httpDelete.setHeader("Authorization","Bearer " + access_token);
CloseableHttpResponse response = HttpClientUtil.getClient().execute(httpDelete);
try {
System.out.println(response.getStatusLine().getStatusCode());
// httpstatus 204 stands for success
if(response.getStatusLine().getStatusCode() == 204){
return true;
}
return false;
}finally {
response.close();
}
}